set encoding iso_8859_1
set data style boxes

set xrange [0:6]
set xtic ("" 0,"" 1,"" 2, "" 3, "" 4 ,"" 5 ,"" 6)
set label 1 "one" at 0.5, graph -0.05, 0 centre norotate
set label 2 "two" at 1.5, graph -0.05, 0 centre norotate
set label 3 "three" at 2.5, graph -0.05, 0 centre norotate
set label 4 "and more" at 3.5, graph -0.05, 0 centre norotate
set label 5 "what?" at 4.5, graph -0.05, 0 centre norotate
set label 6 "probe" at 5.5, graph -0.05, 0 centre norotate

set ylabel "Votes" 0.000000,0.000000  ""

set term fig  metric color small
set output "barchart.color.org.fig"

set key right
set title "BarChartDemo"
set boxwidth 0.25
plot "-" using ($1+0.25):2 title "yes" linetype 2 ,\
	 "-" using ($1+0.45):3 title "no" linetype 3 ,\
	 "-" using ($1+0.65):5 title "well?" linetype 4 

0	45       4.4
1	80       84.8
2	020      203
3	150      128.39
4	67       148.78
5	60        87.29
e
0	45       4.4
1	80       84.8
2	020      203
3	150      128.39
4	67       148.78
5	60        87.29
e
0	?	?	?	261
1	?	?	?	106
2	?	?	?	44
3	?	?	?	42
e
