#10.7.1996 copyright Bernhard Reiter (breiter@usf.Uni-Osnabrueck.DE)
#		v1.0
#			the GPL (GNU General Public License) applies.
#				send me mail, if you like this hack.... (-:
#
# 	dirty hack to help filled color bar plots with gnuplot (3.6)
#					and gnuplot (3.5)
#
#	example usage:	gawk -f fill_color_boxes.awk <input.fig >output.fig
#
#		it is an awk program to run over an gnuplot boxes plot
#		to do two things: 
#					* fill the boxes
#					* get same filled boxes in the keys
#		The program uses the output of the fig terminal driver,
#		i have tested it with gnuplot 3.6b pl336. and gnuplot 3.5
#		It produces another x.fig file. (Works on XFig Format 3.1)
#		This can used for further formating or creating postscript...
#		
#	i have used the fig driver with options:
# color small pointsmax 1000 landscape metric
# fontsize 10 thickness 1 depth 10
#
# color is important, small and fontsize might be.
# pointsmax landscape metric thickness and depth can probably be changed.
#
# you need to plot every box with a linetype>1 , like
#	plot 'data1' with boxes linetype 2, '' using 1:3 with boxes linetype 3
# the script needs to find the polyarcs with the different color
#(you can try without linetypes, but the first plot of boxes will not
# get filled. This is okay, but the first key does not get an box ether.)
#
#for gnuplot 3.5 the workaround is to plot a zero data set first. :-)
#
#
		# play with the following values:
BEGIN	{
	  lys=-30;	# shift of legend polyarc in y direction; + is down
	  lw=80;	# height of new legend polyarc

	  black_line=1;	# set it to one, if you like to have the line in black
			#	surroundign the filled box. :-)
	}

function get_fill_color( _color)
{
		# you might want to change the colors here
	return( _color);
}


#A program of this kind is easy to write, 
#if you read the FORMAT3.1 file in the xfig
#	distribution. Adapt it to your needs.


			# the next two lines take care of , that
			# right_text==1, when the last object was an 
			# 	right justified text
		{ right_text=0;}	# every line starts as non right text
$1==4 && $2==2	{ right_text=1; 	# yeah, we hit a right text object line
		print ;           	# so print it and get the next line
		getline; }		# without starting over again.


$1==2 && $2==1	{	# polyarc	, polyline
			if($5>0)	# pen color set
			{
			_color=$5;
			$6=get_fill_color(_color);
				if($9==-1)	# not filled
					$9=20;	# fill with full intensity
				if(black_line)
					$5=0;	# pen_color set to black

				if(right_text)	# if the last object
						# was right justified
				{
					# add three points the the polyarc
				$16+=3; # add the points counter
				print;	# print the first line of the polyarc
					
					# get the points-line of the polyarc
				getline line;
				split(line,array);
				array[2]+=lys;
				array[4]+=lys;
				
				print array[1],array[2],array[3],array[4],\
					array[3],array[4]+lw,array[1],\
					array[4]+lw,\
					array[1],array[2];
				
				next;	# we did the printing already
				}
			}
		}
		
			# all lines
		{
			print;
		}	
